> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Identities

> Get a list of email identities for a specific org.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/emails/identities
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/emails/identities:
    get:
      tags:
        - Orgs Emails
      summary: Get Email Identities
      description: Get a list of email identities for a specific org.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
            maxLength: 256
            description: Search identities by email or name
          required: false
          description: Search identities by email or name
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmailIdentitySchema'
components:
  schemas:
    EmailIdentitySchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the email identity
        email:
          type: string
          description: Email address of the identity
        name:
          type:
            - string
            - 'null'
          description: Display name for the identity
        status:
          $ref: '#/components/schemas/EmailIdentityStatusSchema'
        domain:
          $ref: '#/components/schemas/EmailDomainSchema'
        is_default:
          type: boolean
          description: Whether this is the default identity for the org
        click_tracking:
          type: boolean
          description: Whether click tracking is enabled for this identity
        open_tracking:
          type: boolean
          description: Whether open tracking is enabled for this identity
        verified_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the identity was verified
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the identity was created
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the identity was last updated
      required:
        - id
        - email
        - name
        - status
        - domain
        - is_default
        - click_tracking
        - open_tracking
        - verified_at
        - created_at
        - updated_at
      description: An email identity
    EmailIdentityStatusSchema:
      type: string
      enum:
        - PENDING
        - VERIFIED
        - FAILED
      description: Verification status of an email identity
    EmailDomainSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the email domain
        domain:
          type: string
          description: The domain name
        dkim_status:
          $ref: '#/components/schemas/EmailDomainDkimStatusSchema'
        dkim_tokens:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/EmailDomainDkimTokenSchema'
          description: DKIM CNAME records to add to DNS
        verified_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was verified
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was created
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was last updated
      required:
        - id
        - domain
        - dkim_status
        - dkim_tokens
        - verified_at
        - created_at
        - updated_at
      description: Linked email domain
    EmailDomainDkimStatusSchema:
      type: string
      enum:
        - PENDING
        - VERIFIED
        - FAILED
      description: DKIM verification status of an email domain
    EmailDomainDkimTokenSchema:
      type: object
      properties:
        name:
          type: string
          description: CNAME record name
        value:
          type: string
          description: CNAME record value
      required:
        - name
        - value
      description: A DKIM CNAME record for domain verification
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````